com.google.gwt.user.cellview.client

## Class AbstractHasData.RedrawEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<AbstractHasData.RedrawEvent.Handler>
    - - com.google.gwt.user.cellview.client.AbstractHasData.RedrawEvent

Enclosing class:
  AbstractHasData<T>

    public static class AbstractHasData.RedrawEvent
    extends GwtEvent<AbstractHasData.RedrawEvent.Handler>

Event fired when one or more existing rows are re-rendered.

### Nested Class Summary

Nested Classes
`static interface` `AbstractHasData.RedrawEvent.Handler` Implemented by objects that handle `AbstractHasData.RedrawEvent`.

### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

`GwtEvent.Type<H>`

### Constructor Summary

Constructors
Constructor and Description
`RedrawEvent()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `dispatch(AbstractHasData.RedrawEvent.Handler handler)` Should only be called by `HandlerManager`.
`GwtEvent.Type<AbstractHasData.RedrawEvent.Handler>` `getAssociatedType()` Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.

### Methods inherited from class com.google.gwt.event.shared.GwtEvent

`assertLive, getSource, isLive, kill, revive`

### Methods inherited from class com.google.web.bindery.event.shared.Event

`setSource, toDebugString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RedrawEvent

    public RedrawEvent()

### Method Detail

#### getAssociatedType

    public GwtEvent.Type<AbstractHasData.RedrawEvent.Handler> getAssociatedType()

Description copied from class: `Event`
Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.

Specified by:
  `getAssociatedType` in class `GwtEvent<AbstractHasData.RedrawEvent.Handler>`
Returns:
  the type

#### dispatch

    protected void dispatch(AbstractHasData.RedrawEvent.Handler handler)

Description copied from class: `GwtEvent`
Should only be called by `HandlerManager`. In other words, do not use or call.

Specified by:
  `dispatch` in class `GwtEvent<AbstractHasData.RedrawEvent.Handler>`
Parameters:
  `handler` - handler
See Also:
  `EventBus.dispatchEvent(Event, Object)`